import Path, { PathProps } from 'tvrender/lib/graphic/Path.js';
import PathProxy from "tvrender/lib/core/PathProxy.js";
declare class WickPathShape {
    points: number[][];
    isMobile: boolean;
    stroke?: string;
}
interface WickPathProps extends PathProps {
    shape?: Partial<WickPathShape>;
}
declare class WickPath extends Path<WickPathProps> {
    readonly type = "wickPath";
    shape: WickPathShape;
    constructor(opts?: WickPathProps);
    getDefaultShape(): WickPathShape;
    buildPath(ctx: PathProxy, shape: WickPathShape): void;
}
export default WickPath;
